# Class Driver

java.lang.Object
com.databricks.client.jdbc.Driver

All Implemented Interfaces:
  `IDatabricksDriver`, `Driver`

public class Driver extends Object implements IDatabricksDriver
Databricks JDBC driver.

## Constructor Summary

Constructors
Constructor
Description
`Driver()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`acceptsURL(String url)`
`void`
`closeConnection(String url, Properties info, String connectionId)`
Closes a connection for given connection-Id
`Connection`
`connect(String url, Properties info)`
`static Driver`
`getInstance()`
`int`
`getMajorVersion()`
`int`
`getMinorVersion()`
`Logger`
`getParentLogger()`
`DriverPropertyInfo[]`
`getPropertyInfo(String url, Properties info)`
`boolean`
`jdbcCompliant()`
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Driver

public Driver()

## Method Details

### main

public static void main(String[] args)

### acceptsURL

public boolean acceptsURL(String url)

Specified by:
  `acceptsURL` in interface `Driver`

### connect

public Connection connect(String url, Properties info) throws DatabricksSQLException

Specified by:
  `connect` in interface `Driver`
Throws:
  `DatabricksSQLException`

### getMajorVersion

public int getMajorVersion()

Specified by:
  `getMajorVersion` in interface `Driver`

### getMinorVersion

public int getMinorVersion()

Specified by:
  `getMinorVersion` in interface `Driver`

### getPropertyInfo

public DriverPropertyInfo[] getPropertyInfo(String url, Properties info) throws DatabricksSQLException

Specified by:
  `getPropertyInfo` in interface `Driver`
Throws:
  `DatabricksSQLException`

### jdbcCompliant

public boolean jdbcCompliant()

Specified by:
  `jdbcCompliant` in interface `Driver`

### getParentLogger

public Logger getParentLogger()

Specified by:
  `getParentLogger` in interface `Driver`

### getInstance

public static Driver getInstance()

### closeConnection

public void closeConnection(String url, Properties info, String connectionId) throws SQLException
Description copied from interface: `IDatabricksDriver`
Closes a connection for given connection-Id

Specified by:
  `closeConnection` in interface `IDatabricksDriver`
Throws:
  `SQLException`